Subject: Re: [PATCH v2] TCP: avoid to send keepalive probes if it is receiving data

From: Flavio Leitner <[email-masked]>
Date: Sun, 25 Apr 2010 20:55:49 -0300

On Wed, Apr 21, 2010 at 10:42:05PM -0700, David Miller wrote:
> From: "Ilpo Järvinen" <[email-masked]>
> Date: Sun, 18 Apr 2010 23:34:15 +0300 (EEST)
> 
> > I fail to see why the addition of this new variable is necessary at all, 
> > could either of you enlight me why exactly it's necessary and rcv_tstamp 
> > will not suffice?
> 
> I agree, the existing rcv_tstamp should serve this purpose just
> fine.

I thought it would break TCP_INFO/tcp_get_info(). Actually, reviewing
the code again I found another variable which does exactly what is needed.

I'll post a new patch for review.

thanks,
-- 
Flavio